#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8

"""
Toggle the system configuration colors.
"""

from meerschaum.utils.typing import Optional, List

__version__ = '1.0.3'

def color(action : Optional[List[str]] = None, **kw):
    """
    Toggle the system configutation colors.
    """
    from meerschaum.config import get_config, _config
    from meerschaum.config._edit import write_config
    from meerschaum.utils.packages import reload_package
    from meerschaum.actions import get_shell


    if not action:
        action = []

    toggle_ansi, toggle_unicode = True, True
    if len(action) > 0:
        toggle_ansi = 'ansi' in action or 'ANSI' in action
        toggle_unicode = 'unicode' in action or 'unicode' in action

    formatting_config = get_config('formatting')
    #  cf = _config()
    if toggle_ansi:
        formatting_config['ansi'] = not formatting_config['ansi']
    if toggle_unicode:
        formatting_config['unicode'] = not formatting_config['unicode']
    write_config({'formatting': formatting_config})
    _cf = _config(reload=True)
    reload_package('meerschaum')

    return True, "Success"
